PHP Manual
Prev |  | Next

# apache_setenv

(PHP 4 >= 4.2.0, PHP 5)

apache_setenv -- Set an Apache subprocess_env variable

## Description

bool apache_setenv ( string variable, string value [, bool walk_to_top] )

apache_setenv() sets the value of the Apache environment variable specified by variable.

> Note: When setting an Apache environment variable, the corresponding $_SERVER variable is not changed.

## Parameters

variable

  The environment variable that's being set.

value

  The new variable value.

walk_to_top

  Whether to set the top-level variable available to all Apache layers.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Setting an Apache environment variable using apache_setenv()
`<?php apache_setenv("EXAMPLE_VAR", "Example Value"); ?>`

## Notes

> Note: apache_setenv() can be paired up with apache_getenv() across separate pages or for setting variables to pass to Server Side Includes (.shtml) that have been included in PHP scripts.

## See Also

apache_getenv()

Prev | Home | Next
apache_response_headers | Up | ascii2ebcdic